                                   ' PROINCR.BAS

' Procedure per l'analisi incrementale (in preparazione)

DECLARE SUB Geometria (X1!, X2!, Y1!, Y2!, L!, SnAl!, CsAl!, Ld!())
DECLARE SUB ProdottoMat (A!(), B!(), C!())

SUB CalcolaSquilibrio (JZ, X(), Y(), TA$(), Estr(), F(), N1(), T1(), M1(), N2(), T2(), M2())

   DIM Ld(6, 6), Sl(6, 1), Sg(6, 1)

   FOR J = 1 TO JZ
      IF TA$(J) <> "Q8" THEN
         E1 = Estr(J, 1)
         E2 = Estr(J, 2)
         CALL Geometria(X(E1), X(E2), Y(E1), Y(E2), Lun, SnAl, CsAl, Ld())
         Sl(1, 1) = -N1(J)
         Sl(2, 1) = T1(J)
         Sl(3, 1) = -M1(J)
         Sl(4, 1) = N2(J)
         Sl(5, 1) = -T2(J)
         Sl(6, 1) = M2(J)
         CALL ProdottoMat(Ld(), Sl(), Sg())
         FOR K = 1 TO 3
            F(E1, K) = F(E1, K) - Sg(K, 1)
            F(E2, K) = F(E2, K) - Sg(K + 3, 1)
         NEXT K
      END IF
   NEXT J

END SUB

SUB Curv (B, H, Ates, Acom, E, ec1, ecu, sigmac, Es, Ey, esy, esu, Nmed, Mlim1, Mlim2, Rid1, Rid2)
   d = H - .03
   Rid1 = 1
   Rid2 = 1
END SUB

SUB InputMateriale (ec1, ecu, sigmac, Es, Ey, esy, esu)
   
END SUB

SUB OutputMateriale (ec1, ecu, sigmac, Es, Ey, esy, esu)
END SUB

